ThreadPolicyValue (Java Platform SE 8 )
Keywords: org.omg.PortableServer.ThreadPolicyValue class
Date: 2016-12-09

org.omg.PortableServer

## Class ThreadPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ThreadPolicyValue

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class ThreadPolicyValue
      extends Object
      implements IDLEntity

  The ThreadPolicyValue can have the following values. ORB_CTRL_MODEL - The ORB is responsible for assigning requests for an ORB- controlled POA to threads. SINGLE_THREAD_MODEL - Requests for a single-threaded POA are processed sequentially.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_ORB_CTRL_MODEL`
    `static int` | `_SINGLE_THREAD_MODEL`
    `static ThreadPolicyValue` | `ORB_CTRL_MODEL`
    `static ThreadPolicyValue` | `SINGLE_THREAD_MODEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ThreadPolicyValue(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThreadPolicyValue` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _ORB_CTRL_MODEL

          public static final int _ORB_CTRL_MODEL

      See Also:
        Constant Field Values

    - #### ORB_CTRL_MODEL

          public static final ThreadPolicyValue ORB_CTRL_MODEL

    - #### _SINGLE_THREAD_MODEL

          public static final int _SINGLE_THREAD_MODEL

      See Also:
        Constant Field Values

    - #### SINGLE_THREAD_MODEL

          public static final ThreadPolicyValue SINGLE_THREAD_MODEL

  - ### Constructor Detail

    - #### ThreadPolicyValue

          protected ThreadPolicyValue(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static ThreadPolicyValue from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.